<?php
/*
Plugin Name: PHP Widget
Plugin URI: http://blog.gtalex.ru/
Description: PHP Widget.
Author: Alexey Vdowin aka GTAlex
Version: 1.0
Author URI: http://blog.gtalex.ru/
*/ 

function gt_plugin_widget_php($args) {
    extract($args, EXTR_SKIP);
    $options = get_option('gt_plugin_widget_php');
    $title = empty($options['title']) ? 'Title' : $options['title'];    
    $body = $options['body']; 
?>
    <?php echo $before_widget; ?>
        <?php echo $before_title . $title . $after_title; ?>
	<div class="textwidget"><?php eval($body); ?></div>
    <?php echo $after_widget; ?>
<?php
}														

function gt_plugin_widget_php_control() {
    $options = $newoptions = get_option('gt_plugin_widget_php');
    if ( $_POST["gt_plugin_php-submit"] ) {
        $newoptions['title'] = strip_tags(stripslashes($_POST["gt_plugin_php-title"]));
	$newoptions['body'] = stripslashes($_POST["gt_plugin_php-body"]);
    }
    if ( $options != $newoptions ) {
        $options = $newoptions;
	update_option('gt_plugin_widget_php', $options);
    }

    $title = htmlspecialchars($options['title'], ENT_QUOTES);
    $body = htmlspecialchars($options['body'], ENT_QUOTES);
?>
            <input style="width: 450px;" id="gt_plugin_php-title" name="gt_plugin_php-title" type="text" value="<?php echo $title; ?>" />	    
            <textarea style="width: 450px; height: 280px;" id="gt_plugin_php-body" name="gt_plugin_php-body"><?php echo $body; ?></textarea>
	    <input type="hidden" id="gt_plugin_php-submit" name="gt_plugin_php-submit" value="1" />
<?php
}

function gt_plugin_init() {
    register_sidebar_widget('PHP', 'gt_plugin_widget_php');
    register_widget_control('PHP', 'gt_plugin_widget_php_control', 460, 350);
}
	
add_action('init', 'gt_plugin_init');
?>